libjsoncpp (1.9.6-1) experimental; urgency=medium

  * New upstream version 1.9.6
  * Drop all patches (merged upstream)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.0
  * Bump SOVERSION to 26

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Sep 2024 14:25:22 +0200

libjsoncpp (1.9.5-6) unstable; urgency=medium

  * Bump CMake policy version to avoid deprecation warning (Closes: #1040719)

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 23:26:30 +0200

libjsoncpp (1.9.5-5) unstable; urgency=medium

  * Simplify d/rules and properly clean up after build
  * Prevent duplicate JsonCpp::JsonCpp target definition
  * Bump Standards-Version to 4.6.2
  * Add hardening flags to build

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Jul 2023 22:56:39 +0200

libjsoncpp (1.9.5-4) unstable; urgency=medium

  * Fix autopkgtest to not use empty string as CLI argument

 -- Timo Röhling <roehling@debian.org>  Wed, 30 Mar 2022 09:20:36 +0200

libjsoncpp (1.9.5-3) unstable; urgency=medium

  * Use proper CMake config in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 29 Jan 2022 17:46:38 +0100

libjsoncpp (1.9.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Dec 2021 15:31:59 +0100

libjsoncpp (1.9.5-1) experimental; urgency=medium

  * New maintainer by courtesy of Peter Spiess-Knafl.
    Thanks to Peter for his contributions
  * New upstream version 1.9.5
  * Drop fix-pkgconfig-file.patch (no longer needed)
  * Bump Standards-Version to 4.6.0
  * New SONAME

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Nov 2021 15:29:51 +0100

libjsoncpp (1.9.4-5) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Fix d/watch
  * Fix autopkgtest regression with CMake 3.19+ (Closes: #994499)

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Sep 2021 08:17:12 +0200

libjsoncpp (1.9.4-4) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)

  [ Helmut Grohne ]
  * Fix DEB_BUILD_OPTIONS=nocheck. (Closes: #977507)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Dec 2020 23:18:09 +0100

libjsoncpp (1.9.4-3) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Dec 2020 09:26:21 +0100

libjsoncpp (1.9.4-2) experimental; urgency=medium

  * Fix pkgconfig file empty Version: field

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 11:24:18 +0100

libjsoncpp (1.9.4-1) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.9.4
  * Drop two keys from rules file, already defaulted to on
  * Disable build of static library, and object files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Oct 2020 22:18:02 +0200

libjsoncpp (1.9.3-1) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.9.3
  * Drop patches merged upstream
  * Bump SONAME to 24
  * Drop all the patches, looks useless now that upstream is Python3 ready
  * Move tests to new AUTOPKGTEST_TMP instead of old ADTTMP variable
  * Bump compat level to 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jun 2020 19:25:10 +0200

libjsoncpp (1.9.2-7) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Fix arch:all builds by running the full cmake build (Closes: #953640)
  * Drop unused cmake variable to fix a warning

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2020 22:44:09 +0100

libjsoncpp (1.9.2-6) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Try to test without parallelism to see if the random failures disappears

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2020 18:59:58 +0100

libjsoncpp (1.9.2-5) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * debian/patches/1120.patch
    - upstream merged patch to fix some other test failures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2020 14:29:56 +0100

libjsoncpp (1.9.2-4) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * debian/patches/1103.patch:
    - add upstream-proposed patch to fix some of the build failures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Feb 2020 08:39:16 +0100

libjsoncpp (1.9.2-3) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Fix bad indentation in control file (Closes: #935530), thanks Guillem Jover
    for the report and patch
  * Please make autopkgtests cross-test-friendly (Closes: #950387), thanks Steve Langasek
    for the report and patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Feb 2020 08:29:03 +0100

libjsoncpp (1.9.2-2) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Add R^3: no
  * Fix testsuite by running the correct include directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2020 19:21:33 +0100

libjsoncpp (1.9.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Gianfranco Costamagna ]
  * Import changes in NMU 1.7.4-3.1
  * Bump compat level to 12, no changes required
  * Bump std-version to 4.5.0, no changes required
  * Bump soname to 22
  * Stop providing static libs, removed upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2020 18:32:54 +0100

libjsoncpp (1.8.4-1) experimental; urgency=medium

  * New upstream version 1.8.4 (Closes: #886758)
  * Removed Cleto from Uploaders due to MIA (Closes: #846290)
  * Removed upstream applied patches
  * Removed upstream signing key, because upstream is no longer using it
  * Adapt package names to reflect new soname
  * Move doxygen to Build-Depends-Indep (Closes: #870283)
  * Fix typo in package description (Closes: #858107)
  * Removed override for dh_makeshlibs
  * Point Vcs-* entries to salsa.d.o
  * Updated to debhelper 11
  * Changed -doc package to Multi-Arch foreign
  * Updated to Standards-Version 4.2.1
    * changed package priority from extra to optional

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 25 Sep 2018 19:01:40 +0200

libjsoncpp (1.7.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port build system to use Python 3 (Closes: #936882)

 -- Aron Xu <aron@debian.org>  Fri, 24 Jan 2020 12:32:52 +0000

libjsoncpp (1.7.4-3) unstable; urgency=medium

  * Add patch to fix pkg-config file

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 23 Aug 2016 11:09:02 +0200

libjsoncpp (1.7.4-2) unstable; urgency=medium

  * Disable symbols file, too many build failures on other arch
  * d/rules: Added shlibs minimum version (Closes: #820434)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 23 Aug 2016 10:44:07 +0200

libjsoncpp (1.7.4-1) unstable; urgency=medium
  * Team upload.
  * New upstream version (Closes: #835092)
  [ Helmut Grohne]
  * Fix FTCBFS: (Closes: #824529)
    * Annotate Build-Depends: python with :any.
    * Support DEB_BUILD_OPTIONS=nocheck.

  [ Peter Spiess-Knafl ]
  * d/control: Bump Standards-Version to 3.9.8: no changes required
  * d/changelog: Fix spelling error in changelog

  [ Stephen Kitt ]
  * Added basic version of d/libjsoncpp1.symbols

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 22 Aug 2016 17:44:51 +0200

libjsoncpp (1.7.2-1) unstable; urgency=medium

  * Team upload.
  [ Peter Spiess-Knafl ]
  * Fix watch file
  * Imported Upstream version 1.7.2 (Closes: #811958)
  * Removed upstream applied and unused patches

  [ Ghislain Vaillant ]
  * Add CI testsuite (Closes: #819378)
  * Simplify multiarch handling (Closes: #819376)
    - removed multiarch patch
    - removed include path patch

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 28 Mar 2016 04:49:21 +0200

libjsoncpp (1.6.5-4) unstable; urgency=medium

  * d/libjsoncpp-dev.install: Remove arch specific cmake file (Closes: #814414)
  * Fix pkg-config file with multi-arch library path

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Fri, 12 Feb 2016 10:50:59 +0100

libjsoncpp (1.6.5-3) unstable; urgency=medium

  * Install jsoncppConfig.cmake to dev package and correct pkgconfig
    multiarch path (Closes: #811430)
  * d/control: Migrate to automatic dbg packages
  * d/control: Sandards-Version bump to 3.9.7, no changes required
  * d/control: remove conflicts/replaces for libjsoncpp1 (Closes: #813939)
  * d/control: use https in Vcs-* fields

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 10 Feb 2016 21:44:31 +0100

libjsoncpp (1.6.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 03 Feb 2016 21:23:48 +0100

libjsoncpp (1.6.5-1) experimental; urgency=medium

  * Imported Upstream version 1.6.5
  * d/watch: updated to also receive 1.x releases
  * d/control: updated libjsoncpp0v5* -> libjsoncpp1*
  * d/rules: updated libjsoncpp0v5* -> libjsoncpp1*

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 14 Dec 2015 22:40:42 +0100

libjsoncpp (0.10.5-1) unstable; urgency=medium

  * New Maintainer (Closes: #790151)
  * New upstream release
    - removed upstream applied patch
    - refreshed fuzzy patches
    - d/rules: updated cmake flags to build shared + static lib
  * GCC5 transition, thanks to Matthias Klose (Closes: #791131)
    - Rename libjsoncpp0 to libjsoncpp0v5, triggered by the libstdc++6
    transition.
    - Add Conflict/Replaces with the old library.
    - Rename libjsoncpp0-dbg to libjsoncpp0v5-dbg.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sun, 02 Aug 2015 17:07:20 +0200

libjsoncpp (0.10.2-4) unstable; urgency=medium

  * Team upload
  [ Peter Spiess-Knafl ]
  * Removed broken shlibs file (Closes: #788945)

  [ Rodney Dawes ]
  * debian/patches/fix-double-parsing.patch
    - fix error in parsing doubles (Closes: #788858)
      thanks Michael Terry for submitting the bug in Debian
      and for merging the work.

  [ Gianfranco Costamagna ]
  * patch refresh, and committing double-parsing patch.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 17 Jun 2015 10:18:51 +0200

libjsoncpp (0.10.2-3) unstable; urgency=medium

  * Added upstream patch to fix arm build
  * Added patch for using upstream pkg-config files (Closes: #788379)
  * Moved from symbols to shlibs system
  * Added lintian override for -doc package generated by doxygen

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Thu, 11 Jun 2015 11:00:48 +0200

libjsoncpp (0.10.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 27 Apr 2015 00:44:35 +0200

libjsoncpp (0.10.2-1) experimental; urgency=medium

  [ Peter Spiess-Knafl ]
  * New upstream release. Closes: #762330
  * Changed buildsystem to cmake.
  * Added libjsoncpp0-dbg package.
  * Split out documenation into libjsoncpp-doc.
  * Added docbase file.
  * Fixed lintian warnings.
  * Updated upstream contact and changed license to Expat.
  * Added Vcs-Browser field to debian/control.
  * Removed authors from debian/docs.
  * Added breaks/replaces fields for -doc package to debian/control.

  [ Cleto Martín ]
  * Update version pkgconfig file
  * Update watch file to avoid parsing 1.x versions
  * Using debian/copyright machine-readable format
  * Update my email address

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sat, 18 Apr 2015 15:43:15 +0200

libjsoncpp (0.6.0~rc2-4) UNRELEASED; urgency=medium

  [ Matthias Klose ]
  * Multiarchify the package. Closes: #699765.
  * Add a symbols file.
  * Build using dpkg-buildflags (using debhelper 9 and patched SConstruct).
  * Run the tests (but ignore the test results, upstream writes that not all
    of them pass).

  [ Cleto Martín ]
  * Applying Matthias patch. Thanks!
  * Updating new homepage and uscan.
  * Adding Vcs-Git field at debian/control

 -- Cleto Martín <cleto@debian.org>  Sat, 08 Nov 2014 12:41:04 +0000

libjsoncpp (0.6.0~rc2-3) unstable; urgency=low

  * Bug fix: "ftbfs with GCC-4.7", thanks to Matthias Klose (Closes: #667246).

 -- José Luis Segura Lucas <josel.segura@gmx.es>  Tue, 24 Apr 2012 09:10:15 +0200

libjsoncpp (0.6.0~rc2-2) unstable; urgency=low

  * Bug fix: "jsoncpp headers installed in unexpected location", thanks to
    Jim Garrison (Closes: #650702).

 -- José Luis Segura Lucas <josel.segura@gmx.es>  Fri, 02 Dec 2011 09:12:31 +0100

libjsoncpp (0.6.0~rc2-1) unstable; urgency=low

  * Initial release (Closes: #617325)

 -- José Luis Segura Lucas <josel.segura@gmx.es>  Sun, 24 Oct 2011 13:47:45 +0200
